-- sqoop processing，TIMESTAMP(CREATED_AT) was converted to BIGINT
-- fix it by create new tables
-- process on HUE
INSERT OVERWRITE TABLE public.orders
SELECT
	ID,
	USER_ID,
	PRODUCT_ID,
	SUBTOTAL,
	TAX,
	TOTAL,
	DISCOUNT,
    FROM_UNIXTIME(CAST(CREATED_AT/1000 AS BIGINT),'yyyy-MM-dd HH:mm:ss') AS CREATED_AT,
	QUANTITY
FROM
	default.ORDERS;


INSERT OVERWRITE TABLE public.people
SELECT
	ID,
	ADDRESS,
	EMAIL,
	PASSWORD,
	NAME,
	CITY,
	LONGITUDE,
	STATE,
	SOURCE,
	BIRTH_DATE,
	ZIP,
	LATITUDE,
    FROM_UNIXTIME(CAST(CREATED_AT/1000 AS BIGINT),'yyyy-MM-dd HH:mm:ss') AS CREATED_AT
FROM
	default.PEOPLE;



INSERT OVERWRITE TABLE public.products
SELECT
	ID,
	EAN,
	TITLE,
	CATEGORY,
	VENDOR,
	PRICE,
	RATING,
    FROM_UNIXTIME(CAST(CREATED_AT/1000 AS BIGINT),'yyyy-MM-dd HH:mm:ss') AS CREATED_AT
FROM
	default.PRODUCTS;


INSERT OVERWRITE TABLE public.reviews
SELECT
	ID,
	PRODUCT_ID,
	REVIEWER,
	CAST(RATING AS SMALLINT) AS RATING,
	BODY,
    FROM_UNIXTIME(CAST(CREATED_AT/1000 AS BIGINT),'yyyy-MM-dd HH:mm:ss') AS CREATED_AT
FROM
	default.REVIEWS;
